Skip to main content
POST
/
generation
/
fal-ai
/
kling
/
v1-5
/
kolors-virtual-try-on
Kling 1.5 Kolors Virtual Try-On
curl --request POST \
  --url https://open.skills.video/api/v1/generation/fal-ai/kling/v1-5/kolors-virtual-try-on \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "human_image_url": "<string>",
  "garment_image_url": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Swap garments onto a person photo using Kling v1.5 virtual try-on.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

human_image_url
string
required

Url for the human image.

Example:

"https://storage.googleapis.com/falserverless/model_tests/leffa/person_image.jpg"

garment_image_url
string
required

Url to the garment image.

Example:

"https://storage.googleapis.com/falserverless/model_tests/leffa/tshirt_image.jpg"

sync_mode
boolean
default:false

If true, the function will return the image in the response.

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
TryOnRequest · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.